<?xml version='1.0' encoding='utf-8'?>
<filter-conf>
    <version>20181115</version>
    <isOpen>1</isOpen>
    <filter-name>criticallog_config</filter-name>
    <falling_monitor_switch>true</falling_monitor_switch>

    <AddToCritical state="true" />
    <AddToDropBox state="true" />
    <MiniDump state="true" />
    <chg_pwroff>true</chg_pwroff>
    <Phoenix main_on="1" recovery_methdod="2" reserve_use="321" kernel_time="240" android_time="250"/>
    <LevelConfig>
        <Level state="low" times="500"/>
        <Level state="medium" times="1500"/>
        <Level state="high" times="3000"/>
    </LevelConfig>

    <TypeLevelConfig>
    <!-- Android begin -->
    <Type index="21" level="high" isAddDropbox="false" desc="总重启次数"/>
    <Type index="22" level="low" isAddDropbox="true" desc="system_server crash"/>
    <Type index="23" level="low" isAddDropbox="true" desc="modem crash"/>
    <!--
    <Type index="24" level="low" isAddDropbox="false" desc="spmi"/>
    -->
    <Type index="26" level="low" isAddDropbox="true" desc="卡死system_server 重启"/>
    <Type index="27" level="low" isAddDropbox="true" desc="卡死手机重启"/>
    <Type index="37" level="high" isAddDropbox="true" desc="待机电流"/>
    <Type index="40" level="high" isAddDropbox="false" desc="apk安装失败"/>
    <Type index="41" level="low" isAddDropbox="true" desc="OTA升级失败"/>
    <Type index="42" level="low" isAddDropbox="true" desc="未知原因底层重启"/>
    <Type index="43" level="medium" isAddDropbox="true" desc="输入法不上屏"/>
    <Type index="44" level="medium" isAddDropbox="true" desc="adsp子系统异常"/>
    <Type index="45" level="medium" isAddDropbox="true" desc="venus子系统异常"/>
    <Type index="46" level="medium" isAddDropbox="true" desc="wcn子系统异常"/>
    <Type index="47" level="medium" isAddDropbox="true" desc="fp_die"/>
    <Type index="48" level="medium" isAddDropbox="true" desc="fp_reset_byhm"/>
    <Type index="49" level="medium" isAddDropbox="true" desc="fp_hw_error"/>
    <Type index="50" level="medium" isAddDropbox="true" desc="wifi扫描耗电"/>
    <Type index="51" level="medium" isAddDropbox="true" desc="路由器或手机断连频繁耗电"/>
    <Type index="52" level="medium" isAddDropbox="true" desc="路由器配置致秘钥交互耗电"/>
    <Type index="53" level="medium" isAddDropbox="true" desc="路由器配置致续租频繁耗电"/>
    <Type index="54" level="medium" isAddDropbox="true" desc="网络断唤醒手机致耗电"/>
    <Type index="55" level="medium" isAddDropbox="true" desc="位于无信号地段致耗电"/>
    <Type index="56" level="medium" isAddDropbox="true" desc="位于无信号交叉地段致耗电"/>
    <Type index="57" level="medium" isAddDropbox="true" desc="电信卡频繁短信致耗电"/>
    <Type index="58" level="medium" isAddDropbox="true" desc="后台音乐播放导致待机耗电"/>
    <Type index="59" level="medium" isAddDropbox="true" desc="后台大量下载导致待机耗电"/>
    <Type index="60" level="medium" isAddDropbox="true" desc="wifi唤醒频繁导致耗电"/>
    <Type index="61" level="medium" isAddDropbox="true" desc="modem唤醒频繁导致耗电"/>
    <Type index="62" level="medium" isAddDropbox="true" desc="alarm唤醒频繁导致耗电"/>
    <Type index="63" level="medium" isAddDropbox="true" desc="硬件或子系统耗电"/>
    <Type index="64" level="medium" isAddDropbox="true" desc="其他耗电"/>
    <Type index="70" level="high" isAddDropbox="false" desc="电池检测错误码"/>
    <Type index="71" level="high" isAddDropbox="false" desc="电池检测停止充电标志"/>
    <Type index="72" level="high" isAddDropbox="false" desc="电池检测电池循环次数"/>
    <Type index="73" level="high" isAddDropbox="false" desc="电池检测错误码1"/>
    <Type index="80" level="high" isAddDropbox="true" desc="摄像头升降次数"/>
    <Type index="81" level="high" isAddDropbox="true" desc="摄像头上升超时次数"/>
    <Type index="82" level="high" isAddDropbox="true" desc="摄像头下降超时次数"/>
    <Type index="83" level="high" isAddDropbox="true" desc="摄像头下降卡主超时次数"/>
    <Type index="84" level="high" isAddDropbox="true" desc="摄像头校准被过滤次数"/>
    <Type index="85" level="high" isAddDropbox="true" desc="摄像头校准成功次数"/>
    <Type index="86" level="high" isAddDropbox="true" desc="摄像头需要校准次数"/>
    <Type index="87" level="high" isAddDropbox="true" desc="摄像头上升卡主开始减速次数"/>
    <Type index="88" level="high" isAddDropbox="true" desc="摄像头下降卡主开始减速次数"/>
    <Type index="89" level="high" isAddDropbox="true" desc="摄像头上升卡主超时次数"/>
    <Type index="99" level="low" isAddDropbox="true" desc="滑块卡住次数"/>
    <Type index="100" level="medium" isAddDropbox="true" desc="电话本生活tab消失"/>
    <Type index="101" level="low" isAddDropbox="true" desc="packagesXml文件异常"/>
    <Type index="120" level="low" isAddDropbox="true" desc="HWT"/>
    <Type index="121" level="low" isAddDropbox="true" desc="Hardware Reboot"/>
    <Type index="122" level="low" isAddDropbox="true" desc="HANG"/>
    <!-- Android end -->

    <!-- Multimedia begin -->
    <Type index="200" level="medium" isAddDropbox="true" desc="声音异常：声音卡顿"/>
    <Type index="201" level="medium" isAddDropbox="true" desc="音视频录制异常：视频录制失败"/>
    <Type index="202" level="medium" isAddDropbox="false" desc="音视频录制异常：声音录制失败"/>
    <Type index="205" level="medium" isAddDropbox="true" desc="声音异常：视频卡顿"/>
    <Type index="206" level="medium" isAddDropbox="true" desc="声音异常：AudioTrack创建失败"/>
    <Type index="281" level="low" isAddDropbox="true" desc="setmode 守护生效"/>
    <Type index="282" level="low" isAddDropbox="true" desc="音量调整类型 守护生效"/>
    <Type index="283" level="low" isAddDropbox="true" desc="禁止操作speaker 守护生效"/>
    <Type index="284" level="low" isAddDropbox="true" desc="录音通路占用提示 守护生效"/>
    <Type index="285" level="low" isAddDropbox="true" desc="检测到音频系统流类型引用异常"/>
    <Type index="286" level="low" isAddDropbox="true" desc="来电第3方声音异常输出"/>
    <Type index="287" level="low" isAddDropbox="true" desc="挂断电话后第3方声音异常输出"/>
    <Type index="288" level="low" isAddDropbox="true" desc="音频系统资源被第3方耗尽导致无声"/>
    <Type index="300" level="low" isAddDropbox="true" desc="声音异常：声卡注册失败"/>
    <Type index="301" level="low" isAddDropbox="true" desc="声音异常：ADSP加载失败"/>
    <Type index="302" level="low" isAddDropbox="true" desc="声音异常：智能功放校准失败"/>
    <Type index="305" level="high" isAddDropbox="true" desc="显示异常：驱动帧同步异常"/>
    <Type index="306" level="high" isAddDropbox="true" desc="显示异常：静电检测异常"/>
    <Type index="307" level="medium" isAddDropbox="true" desc="显示异常：GPU驱动异常"/>
    <Type index="308" level="medium" isAddDropbox="false" desc="显示异常：内存映射出错"/>
    <Type index="309" level="high" isAddDropbox="true" desc="显示异常：GPU跟MDSS同步异常"/>
    <Type index="310" level="low" isAddDropbox="true" desc="显示异常：背光初始化异常"/>
    <Type index="311" level="low" isAddDropbox="true" desc="声音异常：ADSP时钟打开失败"/>
    <Type index="312" level="low" isAddDropbox="true" desc="声音异常：耳机i2c通信异常"/>
    <Type index="313" level="low" isAddDropbox="true" desc="定屏: 重启系统"/>
    <Type index="314" level="low" isAddDropbox="true" desc="定屏: 重启系统"/>
    <Type index="315" level="low" isAddDropbox="true" desc="定屏：统计"/>
    <Type index="316" level="low" isAddDropbox="true" desc="黑屏: 重启应用程序"/>
    <Type index="317" level="low" isAddDropbox="true" desc="黑屏: 重启系统"/>
    <Type index="318" level="low" isAddDropbox="true" desc="黑屏: 无网络"/>
    <!-- Multimedia end -->

    <!-- kernel begin -->
    <Type index="600" level="medium" isAddDropbox="true" desc="kernel panic"/>
    <Type index="601" level="medium" isAddDropbox="true" desc="用快充充电并玩游戏或大型应用"/>
    <Type index="602" level="medium" isAddDropbox="true" desc="边充电边玩游戏或大型应用"/>
    <Type index="603" level="medium" isAddDropbox="true" desc="大型游戏或应用致使cpu负载很大"/>
    <Type index="604" level="high" isAddDropbox="false" desc="其它未知原因"/>
    <Type index="605" level="medium" isAddDropbox="true" desc="充电并摄像或拍照导致发热"/>
    <Type index="606" level="medium" isAddDropbox="true" desc="摄像或拍照导致发热"/>
    <Type index="621" level="medium" isAddDropbox="true" desc="充电异常或者负载过大导致充电电流持续偏小"/>
    <Type index="622" level="medium" isAddDropbox="true" desc="提示充电异常停止充电"/>
    <Type index="623" level="medium" isAddDropbox="true" desc="闪充通信出现异常无法正常闪充"/>
    <Type index="625" level="high" isAddDropbox="false" desc="插充电器"/>
    <Type index="626" level="high" isAddDropbox="false" desc="拔充电器"/>
    <Type index="700" level="high" isAddDropbox="false" desc="RTC"/>
    <Type index="701" level="high" isAddDropbox="false" desc="RTC upload"/>

    <!-- kernel end -->

    <!-- connectivity begin -->
    <Type index="800" level="high" isAddDropbox="true" desc="WiFi连接接失败"/>
    <Type index="803" level="low" isAddDropbox="true" desc="WLAN打开失败，驱动加载所需符号表与本地符号表不匹配"/>
    <Type index="804" level="low" isAddDropbox="true" desc="WLAN打开失败，芯片异常"/>
    <!-- connectivity end -->
    <!-- network begin -->
    <Type index="401" level="medium" isAddDropbox="true" desc="MO失败未接通"/>
    <Type index="402" level="medium" isAddDropbox="true" desc="MT失败_RACH FAIL"/>
    <Type index="408" level="low" isAddDropbox="true" desc="MT失败_RLF"/>
    <Type index="409" level="low" isAddDropbox="true" desc="MT失败_PCH FAIL"/>
    <Type index="410" level="medium" isAddDropbox="true" desc="MT失败_CSFB FAIL"/>
    <Type index="411" level="low" isAddDropbox="true" desc="MT失败_CSFB REJECT"/>
    <Type index="412" level="medium" isAddDropbox="true" desc="MT失败_RRC"/>
    <Type index="423" level="low" isAddDropbox="true" desc="滑动接不了电话/挂不断电话"/>
    <Type index="424" level="high" isAddDropbox="true" desc="来电显示未知"/>
    <Type index="426" level="high" isAddDropbox="true" desc="收到paging后MT失败"/>
    <Type index="427" level="high" isAddDropbox="true" desc="MT失败"/>
    <Type index="403" level="high" isAddDropbox="true" desc="无法使用4G"/>
    <Type index="413" level="high" isAddDropbox="true" desc="无法使用4G"/>
    <Type index="414" level="high" isAddDropbox="true" desc="无法使用4G"/>
    <Type index="404" level="high" isAddDropbox="true" desc="待机无服务_2/3G_Reg_Rej"/>
    <Type index="415" level="high" isAddDropbox="true" desc="待机无服务_23G AUTHEN REJ"/>
    <Type index="416" level="medium" isAddDropbox="true" desc="待机无服务"/>
    <Type index="417" level="medium" isAddDropbox="true" desc="待机无服务"/>
    <Type index="418" level="medium" isAddDropbox="true" desc="待机无服务"/>
    <Type index="419" level="medium" isAddDropbox="true" desc="无法使用4G"/>
    <Type index="448" level="high" isAddDropbox="true" desc="4G bar fake or bad cell"/>
    <Type index="556" level="high" isAddDropbox="true" desc="A2 trigger release cell"/>
    <Type index="405" level="high" isAddDropbox="true" desc="无数据图标"/>
    <Type index="420" level="high" isAddDropbox="true" desc="无数据图标"/>
    <Type index="421" level="high" isAddDropbox="true" desc="无数据图标"/>
    <Type index="450" level="high" isAddDropbox="true" desc="无法上网/数据下行箭头不亮"/>
    <Type index="406" level="low" isAddDropbox="true" desc="掉卡"/>
    <Type index="422" level="low" isAddDropbox="true" desc="掉卡"/>
    <Type index="407" level="low" isAddDropbox="true" desc="硬件损坏"/>
    <Type index="426" level="high" isAddDropbox="true" desc="收到paging后MT失败未接通"/>
    <Type index="428" level="high" isAddDropbox="true" desc="伪基站"/>
    <Type index="429" level="high" isAddDropbox="true" desc="只有伪基站，没有正常基站存在"/>
    <Type index="430" level="low" isAddDropbox="true" desc="射频前端器件异常"/>
    <Type index="431" level="high" isAddDropbox="true" desc="掉话"/>
    <Type index="458" level="high" isAddDropbox="true" desc="LTE数据业务被限速"/>

    <!-- ifdef VENDOR_EDIT -->
    <!-- ifdef FEATURE_LTE_RRC_CONN_HOLD_OPT -->
    <!-- Xingsui.Yang@PSW.NW.PWR.1799348, 2019/02/02 -->
    <!-- add for LTE RRC Connection Hold Optimization feature to fix LTE NW doesn't release RRC connection issue -->
    <Type index="472" level="high" isAddDropbox="true" desc="LTE_RRC持锁"/>
    <!-- endif FEATURE_LTE_RRC_CONN_HOLD_OPT -->
    <!-- endif VENDOR_EDIT -->

    <Type index="480" level="high" isAddDropbox="true" desc="MO接通后掉话"/>
    <Type index="481" level="high" isAddDropbox="true" desc="MT接通后掉话"/>
    <Type index="482" level="high" isAddDropbox="true" desc="MOMT成功失败次数"/>
    <Type index="491" level="high" isAddDropbox="true" desc="APN错误拨号失败"/>
    <Type index="500" level="high" isAddDropbox="true" desc="无下行数据异常"/>
    <Type index="444" level="high" isAddDropbox="true" desc="信号统计"/>
    <!-- ifdef VENDOR_EDIT -->
    <!-- Yunteng.Zhuang@PSW.NW.REG.1601333,2019/1/11 -->
    <Type index="483" level="high" isAddDropbox="true" desc="screen_on_nw_srch"/>
    <Type index="484" level="high" isAddDropbox="true" desc="screen_on_trigger_nw_srch"/>
    <!-- endif VENDOR_EDIT -->
    <!-- ifdef VENDOR_EDIT -->
    <!-- Yunteng.Zhuang@PSW.NW.REG.1748060,2019/04/01 -->
    <Type index="495" level="high" isAddDropbox="true" desc="acq_cnt"/>
    <Type index="496" level="high" isAddDropbox="true" desc="screen_off_acq_cnt"/>
    <Type index="497" level="high" isAddDropbox="true" desc="skip_acq_cnt"/>
    <Type index="498" level="high" isAddDropbox="true" desc="inactive_fullband_cnt"/>
    <!-- endif VENDOR_EDIT -->
    <Type index="509" level="high" isAddDropbox="true" desc="modem_crash_reason"/>
    <Type index="540" level="high" isAddDropbox="true" desc="无数据图标IA_APN_ERROR"/>
    <Type index="541" level="high" isAddDropbox="true" desc="无数据图标PDP_DEACT_ERROR"/>
    <Type index="542" level="high" isAddDropbox="true" desc="LTE TAU被拒"/>
    <Type index="543" level="high" isAddDropbox="true" desc="LTE 异常DETACH"/>
    <Type index="544" level="high" isAddDropbox="true" desc="LTE 服务被拒"/>
    <Type index="545" level="high" isAddDropbox="true" desc="LTE_HANDOVER_FAILURE"/>
    <Type index="546" level="high" isAddDropbox="true" desc="LTE_RRC_ABNORMAL_BAR"/>
    <Type index="547" level="high" isAddDropbox="true" desc="LTE_RRC_ABNORMAL_TIMEOUT"/>
    <Type index="548" level="high" isAddDropbox="true" desc="LTE PCI_MODE3_干扰"/>
    <Type index="549" level="high" isAddDropbox="true" desc="LTE 小带宽小区"/>
    <Type index="550" level="high" isAddDropbox="true" desc="DATA_RLC_UL_RLF"/>
    <Type index="551" level="high" isAddDropbox="true" desc="DATA_PDCP_UL_TIMEOUT"/>
    <Type index="552" level="high" isAddDropbox="true" desc="DATA_PDCP_UL_OUT_OF_BUFFER"/>
    <Type index="553" level="high" isAddDropbox="true" desc="DATA_PDCP_UL_ONE_WAY_PASS"/>
    <Type index="554" level="high" isAddDropbox="true" desc="DATA_DL_HIGH_BLER"/>
    <Type index="555" level="high" isAddDropbox="true" desc="LTE_NARROW_BW_MONITORING"/>
    <Type index="557" level="high" isAddDropbox="true" desc="PDP_ACT_ERROR"/>
    <Type index="459" level="high" isAddDropbox="true" desc="卡欠费"/>
    <Type index="452" level="high" isAddDropbox="true" desc="界面显示无服务"/>
    <Type index="560" level="high" isAddDropbox="true" desc="SPEECH_GWL"/>
    <Type index="561" level="high" isAddDropbox="true" desc="SPEECH_C2K"/>
    <!-- ifdef VENDOR_EDIT -->
    <!-- Xingsui.Yang@TECH.NW.IMS.KEYLOG, 2019/6/20, Add 3 IMS keylog Id for OPPO diagnostic and key log tools -->
    <Type index="469" level="high" isAddDropbox="true" desc="VOLTE MO Call DROP"/>
    <Type index="470" level="high" isAddDropbox="true" desc="VOLTE MT Call DROP"/>
    <Type index="563" level="high" isAddDropbox="true" desc="IMS通话切换失败"/>
    <Type index="564" level="high" isAddDropbox="true" desc="IMS注册失败"/>
    <Type index="522" level="high" isAddDropbox="true" desc="IMS被叫失败"/>
    <!-- endif VENDOR_EDIT -->
    <!--Dedong.Wei@PSW.NW.REG.824170, 2019/09/20 -->
    <!--add india region lock key log begin-->
    <Type index="505" level="high" isAddDropbox="true" desc="oversea_region_lock"/>
    <!--add india regin lock key log end-->
    <!-- endif VENDOR_EDIT -->
    <!-- network end -->
    </TypeLevelConfig>

</filter-conf>
